summaryrefslogtreecommitdiff
path: root/modules/system
diff options
context:
space:
mode:
authorDaiderd Jordan <daiderd@gmail.com>2018-10-26 18:04:08 +0100
committerDaiderd Jordan <daiderd@gmail.com>2018-10-26 18:05:33 +0100
commit0146366b210b6db970428d37b8f18398b1988fec (patch)
tree24c6e998d21745dea459b70a58e70d9aaad5c682 /modules/system
parent63dfbc93d5df14f25261a9ad9b9cc3150485be27 (diff)
Revert "nix: make channel entries for NIX_PATH dynamic"
This reverts commit 95fb1cb2aa1781b239db074dcc9b15089b55e118, 1324ccf2c1fe10fd277dabefa3c8e5631e216d41 and e5c988edf1df3412ca5b3c4704dca666614f9250.
Diffstat (limited to 'modules/system')
-rw-r--r--modules/system/checks.nix6
1 files changed, 3 insertions, 3 deletions
diff --git a/modules/system/checks.nix b/modules/system/checks.nix
index 2fd4e54..d1c756a 100644
--- a/modules/system/checks.nix
+++ b/modules/system/checks.nix
@@ -81,7 +81,7 @@ let
'';
nixPath = ''
- darwinConfig=$(NIX_PATH="${concatStringsSep ":" config.nix.nixPath}${optionalString config.nix.enableChannels ":$HOME/.nix-defexpr/channels:/nix/var/nix/profiles/per-user/root/channels"}" nix-instantiate --eval -E '<darwin-config>' || echo "$HOME/.nixpkgs/darwin-configuration.nix") || true
+ darwinConfig=$(NIX_PATH=${concatStringsSep ":" config.nix.nixPath} nix-instantiate --eval -E '<darwin-config>' || echo "$HOME/.nixpkgs/darwin-configuration.nix") || true
if ! test -e "$darwinConfig"; then
echo "error: Changed <darwin-config> but target does not exist, aborting activation" >&2
echo "Create $darwinConfig or set environment.darwinConfig:" >&2
@@ -95,7 +95,7 @@ let
exit 2
fi
- darwinPath=$(NIX_PATH="${concatStringsSep ":" config.nix.nixPath}${optionalString config.nix.enableChannels ":$HOME/.nix-defexpr/channels:/nix/var/nix/profiles/per-user/root/channels"}" nix-instantiate --eval -E '<darwin>') || true
+ darwinPath=$(NIX_PATH=${concatStringsSep ":" config.nix.nixPath} nix-instantiate --eval -E '<darwin>') || true
if ! test -e "$darwinPath"; then
echo "error: Changed <darwin> but target does not exist, aborting activation" >&2
echo "Add the darwin repo as a channel or set nix.nixPath:" >&2
@@ -109,7 +109,7 @@ let
exit 2
fi
- nixpkgsPath=$(NIX_PATH="${concatStringsSep ":" config.nix.nixPath}${optionalString config.nix.enableChannels ":$HOME/.nix-defexpr/channels:/nix/var/nix/profiles/per-user/root/channels"}" nix-instantiate --eval -E '<nixpkgs>') || true
+ nixpkgsPath=$(NIX_PATH=${concatStringsSep ":" config.nix.nixPath} nix-instantiate --eval -E '<nixpkgs>') || true
if ! test -e "$nixpkgsPath"; then
echo "error: Changed <nixpkgs> but target does not exist, aborting activation" >&2
echo "Add a nixpkgs channel or set nix.nixPath:" >&2